MEGADF(1)

NAME
megadf - Show total available, used, or free space in the cloud

SYNOPSIS

megadf [--free|--total|--used] [--mb|--gb|-h]

DESCRIPTION

Shows available, used and free space in the cloud in machine or human readable formats.

OPTIONS

--total
    Show only total available space (free + used).

--free
    Show only free space.

--used
    Show only used space.

--human, -h
    Display file sizes in a human readable format.

--mb
    Show in MiB units.

--gb
    Show in GiB units.

-u <email>, --username <email>
    Account username (email)

-p <password>, --password <password>
    Account password

--no-ask-password
    Never ask interactively for a password

--reload
    Reload filesystem cache

--limit-speed <speed>
    Set maximum allowed upload and download speed in KiB/s. This option overrides config file settings. 0 means no limit. When using ParallelTransfers > 1, upload speed limit is applied to each transfer individually.

--proxy <proxy>
    Use proxy server to connect to mega.nz. This option overrides config file settings. More information can be found in libcurl documentation at https://curl.haxx.se/libcurl/c/CURLOPT_PROXY.html. Some acceptable values are:

        • none : Disable proxy if it was enabled in the config file.

        • socks5://localhost:9050 : Local SOCKSv5 proxy server

        • socks5h://localhost:9050 : Local SOCKSv5 proxy server with DNS handled by the proxy

--config <path>
    Load configuration from a file

--ignore-config-file
    Disable loading .megarc

--debug [<options>]
    Enable debugging of various aspects of the megatools operation. You may enable multiple debugging options separated by commas. (eg. --debug api,fs)

    Available options are:

        • http: Dump HTTP request/response details (can be used to debug connection/proxy issues)

        • api: Dump Mega.nz API calls

        • fs: Dump Mega.nz filesystem (may require --reload to actually print something)

        • cache: Dump cache contents

        • tman: Dump transfer manager events

--version
    Show version information

EXAMPLES

    • Show overall human readable space usage information:

        $ megadf -h
        Total: 50.0 GiB
        Used:  6.4 GiB
        Free:  43.6 GiB

    • Check free space from a script:

        $ test `megadf --free --gb` -lt 1 && \
          echo "You have less than 1 GiB of available free space"

KNOWN BUGS

Megadf can’t determine available space for premium accounts.

SEE ALSO

megatools(7), megarc(5), megadf(1), megadl(1), megaget(1), megals(1), megamkdir(1), megaput(1), megareg(1), megarm(1), megacopy(1).

MEGATOOLS

Part of the megatools(7) suite.

BUGS

Report bugs at https://github.com/megous/megatools or megous@megous.com.

AUTHOR

Megatools was written by Ondrej Jirman <megous@megous.com>, 2013-2016.

Official website is http://megatools.megous.com.